
import java.io.* ;

class Producer extends Thread {
  DataOutputStream out ;

  public Producer (DataOutputStream out) {
    this.out = out ;
  }

  public void run() {
    try {
      while(true) {
        out.writeInt(1) ;
        out.flush() ;
      }
    }
    catch(Exception e) {
      ;
    }
  }
}

class Consumer extends Thread {
  DataInputStream in ;

  public Consumer (DataInputStream in) {
    this.in = in ;
  }

  public void run() {
    try {
      while(true) {
        int result = in.readInt() ;
        System.out.println(result) ;
      }
    }
    catch(Exception e) {
      ;
    }
  }
}

public class Eg10 {
  public static void main(String args[]) {
    Port P = new Port() ;
    Port Q = new Port() ;

    Port.channel(P, Q) ;

    (new Producer(new DataOutputStream(new PortOutputStream(P)))).start() ;
    (new Consumer(new DataInputStream(new PortInputStream(Q)))).start() ;
  }
}


